> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Site Subscription: RealPage Partner Exchange

PUT https://api.propexo.com/v1/site-subscriptions/realpage_rpx/{property_id}
Content-Type: application/json

Update the subscription of a RealPage integration to a property. This modifies whether or not a property is being ingested during syncs. Only properties set to "ACTIVE" have data associated with them synced, aside from some minimal property specific data. This is only applicable to integrations that contain multiple properties.

| Method | Interface |
|---|---|
| UpdateSiteSubscriptionStatus | AppPartner |

Reference: https://docs.propexo.com/api-reference/real-page-app-partner/properties/update-site-subscription-real-page-partner-exchange

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `property_id` (string, required) — The Propexo unique identifier for the property

### Body (application/json)

This endpoint expects a _v1_site-subscriptions_realpage_rpx_{property_id}_put_input.

- `status` (enum, required) — Activates, disables, cancels, or sets a property to pending in RealPage
  - Allowed values: `ACTIVE`, `PENDING`, `CANCELED`, `DENIED`

## Response

### 200

Successful response

- `meta` (V1SiteSubscriptionsRealpageRpxPropertyIdPutOutputMeta, required)
- `result` (V1SiteSubscriptionsRealpageRpxPropertyIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1SiteSubscriptionsRealpageRpxPropertyIdPutOutputMeta

- `job_id` (string, required)

### V1SiteSubscriptionsRealpageRpxPropertyIdPutOutputResult

- `property_id` (string, required) — The Propexo unique identifier for the property
- `status` (enum, required) — Activates, disables, cancels, or sets a property to pending in RealPage
  - Allowed values: `ACTIVE`, `PENDING`, `CANCELED`, `DENIED`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "status": "ACTIVE"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
  },
  "result": {
    "property_id": "prop_1234567890abcdef",
    "status": "ACTIVE"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id"

payload = { "status": "ACTIVE" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"status":"ACTIVE"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id"

	payload := strings.NewReader("{\n  \"status\": \"ACTIVE\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"status\": \"ACTIVE\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"status\": \"ACTIVE\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id', [
  'body' => '{
  "status": "ACTIVE"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"status\": \"ACTIVE\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["status": "ACTIVE"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/site-subscriptions/realpage_rpx/property_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```